;Set projection and contour the data
MAP_SET, 0.0, 0.0, LIMIT=[-90.0,-180.0,90.0,180.0], $
         /CONTINENTS, /CYLINDRICAL, /NOBORDER
	
n=16
levs=levels
levs(0)=-100
levs(n-1)=100
labs=STRTRIM(STRING(levs),2)
CONTOUR, data2, longs, lats, LEVELS=levs, XSTYLE=5, YSTYLE=5,$
         /CELL_FILL, C_COLORS=INDGEN(n)+2, /OVERPLOT
CONTOUR, data2, longs, lats, LEVELS=levs, XSTYLE=5, YSTYLE=5,$
         C_ANNOTATION=labs, /OVERPLOT	
MAP_CONTINENTS  ;overlay the continents

	 
;Add the axes 
myticklen=-0.025
myticks=['180W', '150W', '120W','90W','60W','30W','GM','30E','60E',$
          '90E', '120E', '150E', '180E']
n=N_ELEMENTS(myticks)	  
mytickvals=FINDGEN(n)/(n-1)
AXIS, -180,-90, XAXIS=0, XTITLE='Longitude', TICKLEN=myticklen,$
         XTICKS=n-1, XTICKNAME=myticks, XTICKV=mytickvals
myticks(*)=' '
AXIS, -180,90, XAXIS=1, XTITLE=' ', TICKLEN=myticklen,$
         XTICKS=n-1, XTICKNAME=myticks, XTICKV=mytickvals
      
myticks=['90S','60S', '30S','EQ',$
         '30N','60N','90N']
n=N_ELEMENTS(myticks)	  
mytickvals=FINDGEN(n)/(n-1)
AXIS, -180,-90, YAXIS=0, YTITLE='Latitude', TICKLEN=myticklen/2.5,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals 
myticks(*)=' '      
AXIS, 180,-90, YAXIS=1, TICKLEN=myticklen/2.5,$
         YTICKS=n-1, YTICKNAME=myticks, YTICKV=mytickvals
	 
;Add a colourbar
COLBAR, [0.12,0.20,0.88,0.24], levs, legend_title, /LEFT, /RIGHT
