PRO read_geo
; Shows the reading of geopotential field 
; from a NetCDF file.
; In this file the geopotential is in the ht variable
; and the pressure levels are in the p variable.


fid=NCDF_OPEN('ukmo.nc')
varid=NCDF_VARID(fid,'ht')
NCDF_VARGET, fid, varid, geo
varid=NCDF_VARID(fid,'p')
NCDF_VARGET, fid,varid, pressure
NCDF_CLOSE, fid

HELP, geo
PRINT, 'max / min of geo are ', MAX(geo), MIN(geo)
PRINT, 'pressure levels are', pressure

END
