PRO write_geo
;Program to show the writing out of data in NetCDF format

geo=FLTARR(96,73,22)
lats=90-FINDGEN(73)*2.5
longs=FINDGEN(96)*3.75-180.0
levs = ['1000.','681.','464.','316.','215.','146.','100.', $
          '68.','46.','31.6','21.5','14.6','10.0','6.81', $
          '4.64','3.16','2.15','1.46','1.0','0.68','0.464', '0.316']
fid=NCDF_CREATE('geo.nc')
longid=NCDF_DIMDEF(fid, 'longitude',96)
latid=NCDF_DIMDEF(fid, 'latitude',73)
levid=NCDF_DIMDEF(fid, 'level',22)
geovid=NCDF_VARDEF(fid, 'geopotential', [longid,latid,levid], /FLOAT)
longvid=NCDF_VARDEF(fid, 'longitude', [longid], /FLOAT)
latvid=NCDF_VARDEF(fid, 'latitude', [latid], /FLOAT)
levvid=NCDF_VARDEF(fid, 'level', [levid], /FLOAT)
NCDF_CONTROL, fid, /ENDEF
NCDF_VARPUT, fid, longvid, longs
NCDF_VARPUT, fid, latvid, lats
NCDF_VARPUT, fid, levvid, levs
NCDF_VARPUT, fid, geovid, geo
NCDF_CLOSE, fid

END
